Andreas Nilsen

BA 6.10, newgen RMA and IE9

Discussion created by Andreas Nilsen on Jan 12, 2012
Latest reply on Jan 13, 2012 by Andreas Nilsen

Hi

 

Reading the documentation for BA 6.10.1 .NET , I see that only IE7 and IE8 are listed as supported in the newgen RMA.

 

Reading the documentation for BA 7.0 Java, I see that IE7/IE8/IE9 are listed as supported, but it is explicitly stated that compatibility mode is NOT supported.

 

We need to use the .NET version of BA, and are going to deploy a newgen RMA wich will be used by a mixture of IE7/IE8/IE9 clients.

Testing the newgen RMA from BA 6.10.1 .NET in IE9, we experience bugs like the action buttons disappearing from the editor bar for instances, but it seems ok when running it in compatibility mode.

 

My questions are:

  1. Are there any browser-related bugs in BA 6.10.1 NET generated RMA's in IE9 compatibility mode?
  2. Is it possible to force the RMA to be loaded in compatibility mode when loaded in IE9? I read putting

 

<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8" >

 

in the html header would force the browser to load in compatibility mode. But since the newgen RMA pages are generated by JS, I don't know all the places I have to modfiy to accomplish this. Are there anyone with a good solution to this problem?

 

Outcomes